% This software is offered under the GNU General Public License 3.0.  It 
% is offered without any warranty expressed or implied, including the 
% implied warranties of merchantability or fitness for a particular 
% purpose.

% Written by Nicholas Dwork (ndwork@stanford.edu) and 
% Gennifer Smith (gsmith9@stanford.edu).


function violationDepth = findViolationDepth( offsetThreshPercent, trueMu, muFit, z )
  offsetThresh = trueMu * offsetThreshPercent;
  diff = abs( muFit - trueMu );
  %Offset by 10 to account for Gaussian Blur Kernel
  violations = diff > offsetThresh;
  violationIndx = find( violations(10:end), 1, 'first' );
  violationIndx = violationIndx + 9;
  violationDepth = z( violationIndx );
end

