% This software is offered under the GNU General Public License 3.0.  It 
% is offered without any warranty expressed or implied, including the 
% implied warranties of merchantability or fitness for a particular 
% purpose.

% Written by Nicholas Dwork (ndwork@stanford.edu) and 
% Gennifer Smith (gsmith9@stanford.edu).


function muFit = muFit2D_DRC_gBlur( I, z, z0, zR, ...
  lambda, deltaLambda, dLambda, noisePower)

  muHat = muFit2D_DRC( I, z, z0, zR, lambda, deltaLambda, dLambda, ...
    noisePower );

  hSize = 5;
  sigma = 2.0;
  h = fspecial('gaussian', hSize, sigma);
  muFit = imfilter( muHat, h );

  muFit(1:hSize,:) = muHat(1:hSize,:);
  
end

