% This software is offered under the GNU General Public License 3.0.  It 
% is offered without any warranty expressed or implied, including the 
% implied warranties of merchantability or fitness for a particular 
% purpose.

% Written by Nicholas Dwork (ndwork@stanford.edu) and 
% Gennifer Smith (gsmith9@stanford.edu).


function mu = muFitVermeer( I, z )

  mu = zeros( numel(I), 1 );

  dz = z(2)-z(1);
  
  n = numel(I);
  ut = triu( ones(n) );
  
  mu = 1/(2*dz) * log( 1 + I ./ (ut*I) );

end


